---
- name: Grab temporary Root password
  ansible.builtin.command:
    cmd: "grep 'temporary password' /var/log/mysqld.log"
    creates: ~/.mysql_root_pswd_set
  register: tmp_pswd

- name: Set new Root password
  ansible.builtin.command:
    cmd: mysql -u root -p{{ tmp_pswd }} -w "SET PASSWORD FOR root@'localhost' = '{{ mysql['root_password'] }}'" && touch ~/.mysql_root_pswd_set
    creates: ~/.mysql_root_pswd_set

- name: Copy MySQL Client Config file for Root
  ansible.builtin.template:
    src: root.my.cnf.j2
    dest: /root/.my.cnf
    state: present
    mode: "0600"
    owner: root
    group: root
